devplugin

## Interface ProgramRatingIf

- All Known Implementing Classes:
    PluginManagerImpl.RatingFieldRating

      public interface ProgramRatingIf

  This Interface makes it possible for plugins to offer rating infos to other plugins
  Since:
    2.7

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.swing.Icon` | `getIcon()` Icon for this interface that is displayed by other plugins
    `javax.swing.Icon` | `getIconForProgram(Program program)` Get Icon for the rating.
    `java.lang.String` | `getName()` Name for this interface that is displayed by other plugins
    `int` | `getRatingForProgram(Program program)` Returns a rating for this program.
    `boolean` | `hasDetailsDialog()` Has this plugin a dialog that displays details about this rating?
    `void` | `showDetailsFor(Program program)` shows a detail dialog for a rating

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Name for this interface that is displayed by other plugins
      Returns:
        Name

    - #### getIcon

          javax.swing.Icon getIcon()

      Icon for this interface that is displayed by other plugins
      Returns:
        Icon

    - #### getRatingForProgram

          int getRatingForProgram(Program program)

      Returns a rating for this program. The rating must be between 0 and 100, -1 if no rating is available
      Parameters:
        `program` - program to get rating for
      Returns:
        rating for the program (between 0 and 100), -1 if no rating is available

    - #### getIconForProgram

          javax.swing.Icon getIconForProgram(Program program)

      Get Icon for the rating. This gives plugins the opportunity to show it's icon for the specific rating
      Parameters:
        `program` - program to get icon for
      Returns:
        icon for rating, `null` if no rating is available

    - #### hasDetailsDialog

          boolean hasDetailsDialog()

      Has this plugin a dialog that displays details about this rating?
      Returns:
        `true` if the plugin is able to show details of the rating

    - #### showDetailsFor

          void showDetailsFor(Program program)

      shows a detail dialog for a rating
      Parameters:
        `program` - show dialog for this program

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)